<template>
  <div>
    <div class="gallery-text-wrapper">
      <div class="gallery-text">My gallery</div>
    </div>
    <Gallery :owner="userID" />
  </div>
</template>

<script>
import Gallery from '../components/Gallery'
import { mapGetters } from 'vuex'

export default {
  name: 'MyGallery',

  components: {
    Gallery
  },

  computed: {
    ...mapGetters([
      'userID'
    ])
  }
}
</script>

<style>
.gallery-text {
  color: rgba(51, 51, 51, 0.9);
  font-family: Roboto, fantasy;
  font-style: normal;
  font-weight: normal;
  font-size: 45px;
}

.gallery-text-wrapper {
  display: grid;
  place-items: center;
}
</style>
